Bug 205464 - Hide "Small Icons in Toolbars" checkbox menu item
Hide "Small Icons in Toolbars" checkbox menu item
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.2
Other Linux
: P1 (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@platform
bugdb_13072867
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-23 10:48 UTC by Jaroslav Tulach
Modified: 2011-12-04 11:58 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
CTL_SmallIcons can be empty - then the releated UI is hidden (5.35 KB, patch)
2011-11-23 10:48 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2011-11-23 10:48:05 UTC
Created attachment 113453 [details]
CTL_SmallIcons can be empty - then the releated UI is hidden

Some applications may want to use only single size icons in toolbar. For them it does not make sense to have a checkbox in the toolbar configuration popup menu.

Let's allow applications on top of NetBeans Platform to disable the checkbox.
Comment 1 Jesse Glick 2011-11-23 14:10:50 UTC
[JG01] Why the diff to Bundle.properties? Seems to just be moving a key to a different part of the file for no clear reason.


[JG02] Suggestion - rather than this rather obscure trick, it would be more natural to read the list of context menu items for the toolbar from a particular layer location, and read it using actionsForPath/actionsToPopup as usual. (Even more simply, just use File/View/Toolbars/ so the main menu presenter comes for free; you still need aFP/aTP to create the popup on the toolbar itself.) core.windows would define four entries (not counting separators):

1. A DynamicMenuContent yielding one checkbox menu item per known toolbar.

2. "Small Toolbar Icons"

3. "Reset Toolbars"

4. "Customize..."

and any app wishing to remove one or more of these could mask it out in the usual way. Indeed, any module could add its own items here - which would perhaps be a more natural place for the editor module to place "Show Editor Toolbar".
Comment 2 Stanislav Aubrecht 2011-11-23 14:19:40 UTC
[JG02] +1 - i'm sure there will be more customizations needed for jdev integration so this would make them much easier
Comment 3 Jaroslav Tulach 2011-11-23 16:04:27 UTC
Re. JG01 - it actually removes one key. It unifies the text of the action as well as checkbox.

Re. JG02 - OK, I'll try that.
Comment 4 Jaroslav Tulach 2011-11-24 12:55:07 UTC
Re. JG02 - but I need to modify the layout of the dialog, I don't think layer is appropriate place for doing that.
Comment 5 Jesse Glick 2011-11-28 17:51:04 UTC
(In reply to comment #4)
> I need to modify the layout of the dialog

Sorry, not following - what dialog?
Comment 6 Jesse Glick 2011-11-28 18:01:38 UTC
Better not use apireviews as an assignee any more; BZ does not seem to be happy with it, and this has resulted in a couple dozen apparently abandoned issues.
Comment 7 Jaroslav Tulach 2011-11-28 19:28:45 UTC
"Customize Toolbar" dialog has a checkbox which needs to disappar as well. Branding is an easy way to do it. Using a layer might be seen unnatural, am I right?
Comment 8 Jesse Glick 2011-11-28 22:27:13 UTC
OK, I did not see that part of the patch. It is true this would not follow naturally from branding out the menu item.

If you prefer to use branding, I would just suggest an explicit key with a boolean value for enabling or disabling small icons. Seems less magical than testing for an empty label on a checkbox.
Comment 9 Jaroslav Tulach 2011-11-30 08:54:26 UTC
OK, seems like branding style approved. 
I prefer one shared key to brand to two or three independent ones. Will help to keep consistency.

I plan to integrate tomorrow.
Comment 10 Jaroslav Tulach 2011-12-01 07:51:17 UTC
ergonomics#f5508ddfc576
Comment 11 Quality Engineering 2011-12-04 11:58:12 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f5508ddfc576
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #205464: One can disable 'small icons' checkboxes via branding


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo